variables:
  PROJECT: ${PACKAGE}-test
  DEPENDENCIES: ${PACKAGE}
  VERSION: "1.0"
  MAINTAINER: "dune-pikaur@gitlab.com"
  OMPI_MCA_opal_warn_on_missing_libcuda: "0"

###############################
# Setup
###############################

###############################
# Include the template scripts
###############################

include:
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/module.repo.yaml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/build_yay.yml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/load.yml"
  - remote: "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/pages.yml"
  - local: "/dune-packages.gitlab-ci.yml"
  - local: "/opm-packages.gitlab-ci.yml"
  - local: "/dumux-packages.gitlab-ci.yml"

#################################
# Create custom repository
#################################

dune-aur_repo:
  extends: .load_repository_template
  stage: load_repository
  variables:
    ISSIGNED: "false"
  dependencies: [
      "dune-common",
      "dune-geometry",
      "dune-istl",
      "dune-grid",
      "dune-localfunctions",
      "dune-uggrid",
      "dune-alugrid",
      "dune-functions",
      "dune-logging",
      "dune-typetree",
      "dune-multidomaingrid",
      "dune-spgrid",
      "dune-subgrid",
      "dune-foamgrid",
      "dune-polygongrid",
      "dune-grid-glue",
      "dune-vtk",
      "dune-pdelab",
      "dune-curvedgeometry",
      "dune-fem",
      "dune-fem-dg",
      "dune-vem",
      "dune-mmesh",
      "opm-common",
      "python-opm-common",
      "opm-grid",
      "opm-upscaling",
      "opm-models",
      # "opm-simulators",
    ]

###############################
# Upload to GitLab repo (pages)
###############################

pages:
  extends: .pages_template
  stage: deploy
  variables:
    TARGET_FOLDER: "x86_64"
  needs: ["dune-aur_repo"]
